org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class Extension

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.Extension

-     public class Extension
      extends Object

  Java class for Extension complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Extension">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="oIDReference" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="critical" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="value" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `critical`
    `protected int` | `oidReference`
    `protected byte[]` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Extension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOIDReference()` Gets the value of the oidReference property.
    `byte[]` | `getValue()` Gets the value of the value property.
    `boolean` | `isCritical()` Gets the value of the critical property.
    `void` | `setCritical(boolean value)` Sets the value of the critical property.
    `void` | `setOIDReference(int value)` Sets the value of the oidReference property.
    `void` | `setValue(byte[] value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### oidReference

          protected int oidReference

    - #### critical

          protected boolean critical

    - #### value

          protected byte[] value

  - ### Constructor Detail

    - #### Extension

          public Extension()

  - ### Method Detail

    - #### getOIDReference

          public int getOIDReference()

      Gets the value of the oidReference property.

    - #### setOIDReference

          public void setOIDReference(int value)

      Sets the value of the oidReference property.

    - #### isCritical

          public boolean isCritical()

      Gets the value of the critical property.

    - #### setCritical

          public void setCritical(boolean value)

      Sets the value of the critical property.

    - #### getValue

          public byte[] getValue()

      Gets the value of the value property.
      Returns:
        possible object is byte[]

    - #### setValue

          public void setValue(byte[] value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is byte[]

Copyright © 2017 WSO2. All rights reserved.